Bug 516874 - Review Request: eqntott - Generates truth tables from Boolean equations
Summary: Review Request: eqntott - Generates truth tables from Boolean equations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 516878 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-11 18:31 UTC by Shakthi Kannan
Modified: 2009-09-17 18:02 UTC (History)
2 users (show)

Fixed In Version: 9.0-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 18:05:35 UTC
chitlesh: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Shakthi Kannan 2009-08-11 18:31:56 UTC
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/eqntott.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/eqntott-9.0-1.fc11.src.rpm
Description: Converts Boolean logic expressions into a truth table that is useful for preparing input to espresso package for logic minimization, converting logic expressions into simpler forms, and for creating truth tables.

Successful Koji builds for FC10, FC11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1599131
http://koji.fedoraproject.org/koji/taskinfo?taskID=1599155

Comment 1 Jason Tibbitts 2009-08-11 18:49:31 UTC
*** Bug 516878 has been marked as a duplicate of this bug. ***

Comment 2 Chitlesh GOORAH 2009-08-15 21:09:16 UTC
I would appreciate if you could look at the %docs and remove useless files as appropriate.

Do not forget that every time you post a SRPM rpmlint should be clean on every single rpm produced.

Comment 3 Shakthi Kannan 2009-08-16 06:19:16 UTC
Among, "AUTHORS ChangeLog COPYING INSTALL NEWS README", which ones do you want to retain?

Comment 4 Chitlesh GOORAH 2009-08-16 07:16:41 UTC
Keep those whose contents are useful to be considered as docs :)

Comment 5 Shakthi Kannan 2009-08-17 15:38:40 UTC
I have now kept only README and ChangeLog in the %doc section.

SPEC URL: http://shakthimaan.fedorapeople.org/SPECS/eqntott.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/eqntott-9.0-2.fc11.src.rpm

Successful Koji builds for dist-f10, dist-f11:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1610099
http://koji.fedoraproject.org/koji/taskinfo?taskID=1610109

Comment 6 Chitlesh GOORAH 2009-08-29 14:46:40 UTC
- MUST: The package is named according to the Package Naming Guidelines.
- MUST: The spec file name matches the base package %{name}
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed (GPLv2) with an open-source compatible license
and meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: the package does not contain any duplicate files in the %files
- MUST: the package owns all directories that it creates.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i586.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.: No locales in this package
- MUST: the package is not designed to be relocatable
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros
section of Packaging Guidelines.
- MUST: The package contains code, or permissible content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If
it is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package does not own files or directories already owned by other
packages. 

SHOULD Items:

 - SHOULD: The source package doesn't include license text(s) as COPYING
 - SHOULD: mock builds succcessfully in i586.
 - SHOULD: The reviewer tested that the package functions as described. A
package should not segfault instead of running, for example.
 - SHOULD:  Those scriptlets used are sane. 
 - SHOULD: No subpackages present.

Approved


---------
Tested

contents of file ex.eqn:
-------
F1 = !A|B|C;
F2 = !A&C; 
F3 = A&B|!C;
-------

$ eqntott -l ex.eqn

.i 3
.o 3
.na ex
.ilb  A B C
.ob  F1 F2 F3
.p 6
0--  1 0 0 
--0  0 0 1 
0-1  0 1 0 
--1  1 0 0 
-1-  1 0 0 
11-  0 0 1 
.e


-----------------------------------

Package eqntott Approved

Comment 7 Chitlesh GOORAH 2009-08-29 14:50:25 UTC
Shakthi can you please review this small package for me please ?

https://bugzilla.redhat.com/show_bug.cgi?id=505264

Comment 8 Shakthi Kannan 2009-08-29 15:12:52 UTC
New Package CVS Request
=======================
Package Name: eqntott
Short Description: Generates truth tables from Boolean equations
Owners: shakthimaan chitlesh
Branches: F-10 F-11 EL-5

Comment 9 Shakthi Kannan 2009-08-29 17:17:27 UTC
(In reply to comment #0)
> Spec URL: http://shakthimaan.fedorapeople.org/SPECS/eqntott.spec
> SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/eqntott-9.0-1.fc11.src.rpm
> Description: Converts Boolean logic expressions into a truth table that is
> useful for preparing input to espresso package for logic minimization,
> converting logic expressions into simpler forms, and for creating truth tables.
> 
> Successful Koji builds for FC10, FC11:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1599131
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1599155  

Successful Koji build for EL-5;
http://koji.fedoraproject.org/koji/taskinfo?taskID=1643030

Comment 10 Jason Tibbitts 2009-08-29 20:21:42 UTC
CVS done.

Comment 11 Fedora Update System 2009-09-01 06:18:31 UTC
eqntott-9.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eqntott-9.0-2.fc11

Comment 12 Fedora Update System 2009-09-01 06:18:37 UTC
eqntott-9.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eqntott-9.0-2.fc10

Comment 13 Fedora Update System 2009-09-01 06:18:41 UTC
eqntott-9.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/eqntott-9.0-2.el5

Comment 14 Fedora Update System 2009-09-01 18:05:30 UTC
eqntott-9.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-09-01 18:05:47 UTC
eqntott-9.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-09-17 18:02:30 UTC
eqntott-9.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.